pkgname="tegra-ffmpeg"
pkgbase="tegra-ffmpeg"
pkgver="4.3"
pkgrel="1.0"
arch=("aarch64")
license=("GPL")
url="https://ffmpeg.org/"
makedepends=(
	"git"
	"make"
)
depends=(
	"nvidia-l4t-jetson-multimedia-api"
	"nvidia-l4t-multimedia"
	"v4l-utils"
	"mesa"
)
provides=("ffmpeg")
conflicts=("ffmpeg")
source=(
	"ffmpeg_nvv4l.patch"
)
md5sums=(
	"SKIP"
	"SKIP"
)

build() {
	git clone git://source.ffmpeg.org/ffmpeg.git -b release/4.3 --depth 1 $srcdir/ffmpeg
	cd $srcdir/ffmpeg
	git apply ffmpeg_nvv4l.patch
	${srcdir}/ffmpeg/configure --enable-nvv4l2dec --enable-libv4l2 --enable-shared --prefix=/usr --extra-libs="-L/usr/lib/aarch64-linux-gnu/tegra -lnvbuf_utils" --extra-cflags="-I /usr/src/jetson_multimedia_api/include/"
	make -j$(nproc) -C ${srcdir}/ffmpeg/
}

package() {
	make DESTDIR="${pkgdir}" install -C ${srcdir}/ffmpeg/
}
